Bug 174338 - CVE-2005-3857 lease printk DoS
Summary: CVE-2005-3857 lease printk DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Staubach
QA Contact: Brian Brock
URL:
Whiteboard: public=20051113,reported=20051128,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-28 10:16 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0140
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 16:02:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (377 bytes, patch)
2005-12-06 15:23 UTC, Peter Staubach
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0140 normal SHIPPED_LIVE Important: kernel security update 2006-01-19 05:00:00 UTC

Description Mark J. Cox 2005-11-28 10:16:49 UTC
+++ This bug was initially created as a clone of Bug #174337 +++

CVE-2005-3857 lease DoS
        The time_out_leases function in locks.c for Linux kernel
        before 2.6.15 allows local users to cause a denial of service
        (kernel log message consumption) by causing a large number of
        broken leases, which is recorded to the log using the printk
        function.

fix (remove printk):
http://linux.bkbits.net:8080/linux-2.6/cset@437a05c4iitlvmAoQbx7eisMxOEosw

thread:
http://marc.theaimsgroup.com/?l=linux-kernel&m=113175851920568&w=2

Listing as moderate, but may be updated to important based on kernel team
investigation.

Comment 1 Peter Staubach 2005-12-06 15:23:44 UTC
Created attachment 121911 [details]
Proposed patch

Comment 3 Ernie Petrides 2006-01-11 23:35:31 UTC
A fix for this problem has just been committed to the RHEL3 E7
patch pool this evening (in kernel version 2.4.21-37.0.1.EL).


Comment 6 Red Hat Bugzilla 2006-01-19 16:02:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0140.html


Comment 7 Ernie Petrides 2006-01-20 23:31:23 UTC
A fix for this problem has also been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-39.EL).



Note You need to log in before you can comment on or make changes to this bug.